# Contributing

1. Fork & clone this project
2. Create a topic branch from `develop` branch
3. :sparkles: Happy hacking
4. Send a pull request

## Git Commit Messages

**DO**

* Use the present tense ("Add feature" not "Added feature")
* Use the imperative mood ("Move cursor to..." not "Moves cursor to...")
* Limit the first line to 72 characters or less
* Reference issues and pull requests liberally
* Consider starting the commit message with an applicable emoji:
    * :lipstick: `:lipstick:` when improving the format/structure of the code
    * :racehorse: `:racehorse:` when improving performance
    * :memo: `:memo:` when writing docs
    * :apple: `:apple:` when fixing something on Mac OS
    * :checkered_flag: `:checkered_flag:` when fixing something on Windows
    * :bug: `:bug:` when fixing a bug
    * :fire: `:fire:` when removing code or files
    * :green_heart: `:green_heart:` when fixing the CI build
    * :white_check_mark: `:white_check_mark:` when adding tests
    * :lock: `:lock:` when dealing with security
    * :arrow_up: `:arrow_up:` when upgrading dependencies
    * :art: `:art:` when build CSS
    * :book: `:book:` when build docs

**DON'T**

* Don't end the summary line with a period

## Acknowledgement

Inspiration and idea was taken from many sources, including:

* [atom/CONTRIBUTING.md](https://github.com/atom/atom/blob/master/CONTRIBUTING.md)
* [Writing good commit messages](https://github.com/erlang/otp/wiki/Writing-good-commit-messages)
